<?php
/***************************************************************************
 *                         acp/lib/ct_blockdata.inc.php
 *                         ------------------------------
 *   homepage             : http://www.radiosunlight.de
 *   copyright wbb2       : (c) 2006 by Frank Leyhe (Bandy)
 *   lizenz               : Premium
 *   Version              : 3.0.7
 *   Signatur-Version     : 9.6.35.704703
 *
 ***************************************************************************/

// Check for new version
$errno = 0;
$errstr = $sig_version = "";
if ($fsock = @fsockopen("www.radiosunlight.de", 80, $errno, $errstr, 10))
{
   @fputs($fsock, "GET /ct_sig_version.txt HTTP/1.1\r\n");
   @fputs($fsock, "HOST: www.radiosunlight.de\r\n");
   @fputs($fsock, "Connection: close\r\n\r\n");

   $get_info = false;
   while (!@feof($fsock))
   {
      if ($get_info)
      {
         $sig_version .= @fread($fsock, 1024);
      }
      else
      {
         if (@fgets($fsock, 1024) == "\r\n")
         {
            $get_info = true;
         }
      }
   }
   @fclose($fsock); 
}
$ct_version = "3.0.7";
$ct_sig_version = "9.6.35.704703";
$mail_wiw_empfaenger="ct_report@online.de";

//UserAgent-Daten
$useragentliste = array(
"_SPIDER_BOTNAME _SPIDER_BOTINFO",
".01$",
".weblogs",
"[[:space:]]*php)",
"[A-Z]",
"[AXP]",
"[a-z0-9]",
"[G]ooglebot/2.1",
"(Bot; http://localhost; me@localhost)",
"@nonymouse.com",
"@securecomputing.com",
"000000000;",
"8484 Boston Project",
"acc=onekill",
"Accoona-AI-Agent",
"aconon Index",
"Acoon Robot",
"Acorn",
"ACR",
"ActiveAgent",
"Adaxas",
"adressendeutschland.",
"Advanced Email Extractor",
"agdm79@mail",
"Akregator",
"Alexibot",
"AlkalineBOT",
"alpha 06",
"AltaVista Intranet",
"Amfibibot",
"Amiga-AWeb",
"Anarchie",
"anon-online.org",
"Anonymouse.org",
"Anthill",
"AnzwersCrawl",
"Apexoo",
"appie",
"Aqua_Products",
"Arachno",
"Araneo",
"AraybOt",
"ArchitextSpider",
"ARexx",
"ArtfaceBot",
"asked/",
"ASPseek",
"asterias",
"Atomz",
"autoemailspider",
"AWEB",
"b2w",
"BackDoorBot",
"Baiduspider",
"BecomeBot",
"Bigsearch.ca",
"BilgiBot",
"Biology-X",
"Bitacle",
"Biz360",
"BizBot",
"Black",
"Blaiz-Bee",
"Bloodhound",
"BlowFish",
"boitho.com",
"Bookmark search tool",
"BorderManager",
"Bork-edition",
"bot/1.0 (bot",
"bot@bot.bot",
"BotALot",
"BotLink",
"brainlesschild.org",
"BruinBot",
"BruteForce",
"Brutus",
"BuildCMS",
"BuiltBotTough",
"Bullseye",
"BunnySlippers",
"Butch__2",
"caizhi/",
"CaliforniaBrownSpider",
"Caribbean-X",
"Cazoodle",
"ccubee",
"Cegbfeieh",
"cfetch",
"CFNetwork",
"Charlotte/",
"Check&Get",
"CheeseBot",
"CherryPicker",
"ChinaClaw",
"Christianity-X",
"CMUImageBot",
"Collector",
"combine",
"cometrics-bot",
"Commodore 64",
"Compatible.*Browser",
"complex_network_group",
"Convera",
"CopyGuard",
"CopyRightCheck",
"CoralWebPrx",
"core-project",
"cosmos",
"Crawler (cometsearch@cometsystems.com)",
"Crawllybot",
"Crescent",
"CS/",
"cupriBOT",
"curl/7.10.7",
"Custo",
"CyberSpyder",
"DataCha0s",
"DataparkSearch",
"DB Browse 4.3",
"DB OS 6.0",
"dearch/",
"Demo",
"DiamondBot",
"Digimarc WebReader",
"DISCo",
"DittoSpyder",
"DOC",
"DomaindateiSpider",
"download",
"DTS Agent",
"dumbot",
"e-SocietyRobot",
"eagle",
"EasyDL",
"eBay Relevance Ad Crawler powered by contentDetection",
"eCatch",
"ecollector",
"Educate",
"efp@gmx",
"EI*Net",
"EirGrabber",
"ejupiter.com",
"ELinks",
"EliteSys",
"ELNSB50",
"Email Magnet",
"EmailCollector",
"eMailReaper",
"EmailSiphon",
"EmailWolf",
"EMC",
"EmeraldShield",
"Enfish Tracker",
"EnigmaBot",
"Enterprise_Search",
"envolk[ITS]spider/1.6",
"Epiphany",
"EroCrawler",
"Eule-Robot",
"EuripBot",
"Exabot",
"ExactSearch",
"exactseek.com",
"Explorer/",
"Express",
"Extractor",
"EyeNetIE",
"FairAd Client",
"fantom",
"FAST Crawler",
"FAST Enterprise",
"Faxobot",
"Fetch",
"Feedshow",
"fido/1.0",
"FileHound",
"Finder",
"findlinks",
"Flaming AttackBot",
"FlashGet",
"flashget",
"flatlandbot",
"FlickBot",
"FrontPage",
"focused_crawler",
"FooBar/42",
"Foobot",
"Foto",
"Francis",
"Franklin",
"FS-WebC",
"FuchsBot",
"Full",
"G O T T A  H U R T",
"GAIS Robot",
"Gaisbot",
"Galeon",
"GameBoy",
"GeoBot",
"GetRight",
"GetWeb",
"Gigabot",
"Girafabot",
"gncwebbot",
"Go-Ahead-Got-It",
"Go!Zilla",
"GOFORITBOT",
"Google Wireless Transcoder",
"gonzo",
"GornKer",
"gotcha!",
"Gozilla",
"Grabber",
"GrabNet",
"Grafula",
"great-plains-web-spider",
"grub crawler",
"grub-client",
"Gulliver/1.2",
"Gulper",
"GurujiBot",
"Hacker",
"HappyBot",
"Harvest",
"Hatena Antenna",
"hbtronix.spider",
"HealthCareCrawl",
"heraSpid",
"heritrix",
"hgrepurl",
"hl_ftien_spider",
"hloader",
"HMView",
"Holmes",
"HooWWWer",
"HTnet_max100",
"httplib",
"HTTrack",
"humanlinks",
"i386-portbld-freebsd4.3",
"ia_archive",
"iaskspider",
"Ibot",
"iCab 2.9.1",
"iCCrawler",
"IDZap",
"ilial/Nutch-",
"IlseBot",
"IlTrovatore",
"imagefetch",
"Industry",
"Indy",
"InfoNaviRobot",
"Infosearch",
"INGRID/",
"InnerpriseBot",
"InterGET",
"Internet Explore",
"INTERNET EXPLOITER SUX",
"Internet-exprorer",
"InternetArchive/0.8-dev",
"InternetExploiter",
"InternetSeer.com",
"Investing-X",
"IRLbot",
"Iron33",
"Irvine",
"IsraBot",
"ITI Spider",
"Java(TM) 2 Runtime Environment, Standard Edition",
"Java/1.",
"Java1.",
"JAC (Just Another Crawler",
"JennyBot",
"JetCar",
"JoBo",
"JobSpider_BA",
"JOC",
"JuicyBits",
"Jyxobot",
"k2spider",
"KBeeBot",
"Kenjin",
"Keyword",
"KFSW-Bot",
"KGValidator",
"kicktooBot",
"KIT_Fireball",
"KKman",
"Knowledge.com",
"kobe_university_search",
"Kolibri",
"Krugle",
"lanshanbot",
"larbin",
"LECodeChecker",
"LeechFTP",
"Level3.net",
"LexiBot",
"libcurl",
"Libertech-Rover",
"Library",
"libWeb/clsHTTP",
"libwww-perl",
"LinkextractorPro",
"LinkScan/8.1a.Unix",
"LinkWalker",
"linklooker",
"linko",
"LINKS ARoMATIZED",
"LNSpiderguy",
"looksmart",
"lwp-trivial",
"LWP::Simple",
"m CsCrawler",
"mailto:craftbot@yahoo.com",
"mailto:crawleradmin.t-info@telekom.de",
"Mass",
"Mata.Hari",
"McBot",
"Megaglobe Crawler",
"Mercator",
"Merritt",
"MFC_Tear_Sample",
"Microsoft-ATL-Native",
"Microsoft Data Access Internet Publishing Provider",
"Microsoft Office Protocol Discovery",
"Microsoft_Internet_Explorer_5.00.439rh fjones@isd.net",
"Microsoft.URL",
"MIDown",
"MIIxpc",
"Missigua",
"Missouri",
"Mister",
"Mnogosearch",
"Mo College 1.9",
"moget",
"Morzilla",
"Mosiac 1",
"MOT-MPx220/1.400",
"Mozdex/0.7.2-dev",
"Mozilla.*NEWT",
"Mozilla/(4|5)",
"Mozilla/1.22",
"Mozilla/2.0 (compatible; EZResult -- Internet Search Engine)",
"Mozilla/2.0 (compatible; NEWT ActiveX; Win32)",
"Mozilla/2.0 (compatible; T-H-U-N-D-E-R-S-T-O-N-E)",
"Mozilla/3.0 (compatible; MuscatFerret/1.",
"Mozilla/3.0 Gold (Win95; I)",
"Mozilla/3.01 (Win95; I)",
"Mozilla/3.Mozilla/2.01",
"Mozilla/4.05",
"Mozilla/4.5 RPT-HTTPClient/0.3-2",
"Mozilla/4.8 [en]",
"Mozilla/5.0 .",
"Mozilla Firebird/0.6",
"MQBOT",
"MRSPUTNIK",
"MSFrontPage",
"MSIE5.5",
"MSIECrawler",
"MSN 2.6",
"MSNPTC",
"MSRBOT",
"msrabot",
"multicrawler",
"MVAClient",
"MyCNNSpider",
"MyGetRight",
"my homepage",
"Namecrawler",
"NaverBot",
"Navroad",
"NearSite",
"NECBot",
"nfue4lyf jors4pluwhg",
"NetAnts",
"NetMechanic",
"NetResearchServer",
"NetSpider",
"NetZIP",
"NeuralBot",
"NEWT ActiveX",
"NG-Search",
"NG/2.0",
"NG/4.0.",
"nic.de.ki",
"NICErsPRO",
"Nikto",
"NimbleCrawler",
"Ninja",
"Nokia-WAPToolkit.",
"NPBot",
"nrsbot/",
"NuSearch",
"Nutch",
"obot",
"Ocelli",
"Octopus",
"ODP links test",
"OffByOne",
"Offline",
"OGspid",
"OmniExplorer",
"OmniWeb",
"OnetSzukaj",
"Openbot",
"Openfind",
"OpenSSL/0.9.6g",
"OpenVMS AlphaServer_ES40",
"Oracle Ultra Search",
"OrangeSpider",
"Orthogaffe",
"ozelot/",
"PageGrabber",
"Papa",
"passoire.afraid.org",
"pavuk",
"pcBrowser",
"PEERbot",
"PerMan",
"PersonaPilot",
"PicSpider",
"PingALink",
"Platinum",
"PMAFind",
"pmafind",
"Pockey-GetHTML",
"POE-Component-Client",
"Poirot",
"Pornobrowser",
"Port Huron Labs",
"PortalBSpider",
"Powered by Nintendo",
"Powermarks",
"powerpc-apple-darwin",
"processor",
"Production",
"Program Shareware",
"ProPowerBot",
"ProWebWalker",
"proxy.cjb.net",
"psbot",
"psycheclone",
"PycURL",
"Python-urllib",
"QihooBot",
"QueryN",
"Quester",
"Radiation",
"ramBot",
"RealDownload",
"RedBot",
"RedKernel",
"ReGet",
"RepoMonkey",
"RIN",
"RMA",
"Roverbot",
"RPT-HTTPClient",
"RufusBot",
"S\.T\.A\.L\.K\.E\.R\.",
"SAFEXPLORER TL",
"SandBot",
"SBIder/0.8-dev",
"Schmozilla",
"Shockwave Flash",
"Science-Index/3.1",
"Scooter",
"script|about|applet|activex|chrome|object",
"script src=",
"Scumbot",
"search.at V1.2",
"SEARCHALOT.COM",
"searchpreview",
"seek365",
"Semager",
"Sensis",
"SEOsearch",
"sexsearcher",
"SeznamBot",
"Shim-Crawler",
"Shit",
"Sidewinder",
"Sigram/",
"silvers-world.de",
"sitecheck.internetseer.com",
"SiteSnagger",
"Six Six Six",
"SlowBot",
"Slurp.so/1.0",
"Slurp/0.8-dev",
"Slurp/2.0",
"SlySearch",
"SmartDownload",
"snap.com beta crawler",
"snagger",
"Snapbot",
"SnapPreviewBot",
"Snappy",
"Snoopy",
"So-net RSS Crawler",
"sogou",
"sohu",
"sonic",
"sootle",
"SpamBlockerUtility",
"SpankBot",
"spanner",
"SpiderJack",
"spider.pl",
"spyder3.microsys.com",
"SQ",
"Squid",
"SSM",
"stalker/0.1",
"Stamina",
"Stanford",
"stat",
"Stripper",
"suchbaer.de",
"suchclip",
"Sucker",
"SummyC",
"SuperBot",
"SuperHTTP",
"Surfbot",
"SurveyBot",
"suzuran",
"svchost",
"SwissSearch V1.2",
"Sylera",
"SynooBot",
"Syntryx",
"Szukacz",
"T-Rex",
"T8Abot",
"tAkeOut",
"TCom_MAX260b",
"TeacherSoft",
"teleport",
"Telesoft",
"tellbaby/",
"TerrawizBot",
"TestCrawler/",
"Thames Research of Manchester",
"The Homepage Finder",
"The Informant",
"The Intraformant",
"The.Intraformant",
"thebestofnet.",
"TheFreeDictionary.com",
"TheNomad",
"Theophrastus",
"THIS IS AN EXPLOIT",
"thumbshots-de-Bot",
"TightTwatBot",
"Titan",
"TMCrawler",
"toCrawl/UrlDispatcher",
"topicblogs",
"Toplistbot",
"TOTO_POWAH_4_LIFE",
"True_Robot",
"Turing Machine",
"turingos",
"TurnitinBot",
"TutorGigBot",
"Twiceler",
"u_forgot_to_click_PayPal_biatch",
"UbiCrawler",
"updated/",
"URL Control",
"Urchin",
"URL_Spider_Pro",
"URLy Warning",
"URLy.Warning",
"USA On-Site",
"User-Agent",
"VadixBot",
"ValueClick Robocop",
"Vampire",
"vayala",
"VCI",
"virus_detector",
"virus_harvester",
"visit_www.yourpoll.net",
"VoidEYE",
"VoilaBot",
"Vortex/",
"voyager",
"VWBOT",
"W3CRobot/5.4.0 libwww/5.4.0",
"w3index",
"w3m/0.5.1",
"wbdbot",
"web collector",
"Web Mole",
"Web-Sniffer",
"Web.Image.Collector",
"Web Image Collector",
"WebAlta",
"WebAuto",
"WebaltBot",
"WebBandit",
"WebBot",
"Webbot/0.1",
"WebCapture",
"WebCopier",
"WebCrawler",
"WebDownload",
"WebEMailExtrac",
"WebEnhancer",
"WebFetch",
"WebGo",
"WebLeacher",
"WebmasterWorld",
"WEBMOLE",
"WebPictures",
"WebReaper",
"WebRoot",
"WebSauger",
"Webscanner",
"Website",
"WebSpider",
"Webster",
"WebStripper",
"WebVulnScan",
"WebWeasel",
"WebWhacker",
"WebZIP",
"wectar/",
"Well Searh",
"Wells Search II",
"WEP Search 00",
"West Wind Internet Protocols",
"Wget",
"WhoWhere",
"Widow",
"Windows-Update-Agent",
"WinHttp.WinHttpRequest",
"WinkBot/",
"WISEbot",
"WISEnutbot",
"WiseWire",
"wobot",
"Wordpress Hash Grabber",
"WorldWideWeb-X/3.1",
"WorQmada",
"Wouah/",
"wwgrapevine.com",
"WWW-Collector-E",
"WWW-Spider",
"www.asona.org",
"www.dealx.info",
"www.fast-search-engine.com",
"www.freeloader.com",
"www.lionhardt.ca",
"www.the-cloak.com",
"WWWeasel",
"WWWOFFLE",
"WX_mail",
"Xaldon",
"Xenu",
"xirq/0.1-beta",
"xmlrpc exploit",
"xrumer",
"yacy",
"Yahoo-MMCrawler",
"YahooSeeker/1.2",
"Yeti",
"Yoono",
"Yotta",
"Zao",
"Zealbot",
"Zeus",
"zimeno/0.8-dev",
"zlib/1.1.4",
"ZyBorg/1.0"
 );

//Spy-/Malware - Daten
$spywareliste = array(
"}|0.",
".exe|",
"123Bar",
"123Mania",
"2020Search",
"180Solutions",
"404search",
"7Search",
"Accelerator",
"Accessibility",
"ActivShopper",
"ActiveSearch",
"AdBar",
"AdBlaster",
"AdBox",
"AdBreak",
"AdBus",
"AdHelper",
"AdMir",
"AdRoar",
"AdServer",
"AdSmart",
"AdSrve",
"Adstart",
"AdvancedSearchBar",
"Adwave/MarketScore",
"Alcan",
"Alexa Toolbar",
"Alexa Search Toolbar",
"AlexaBar",
"Alibabar",
"Altnet PeerPoints Manager Traffic",
"Antinny",
"AonToolbar",
"Apropos",
"AskBar.a",
"AskJeeves.a",
"Astabar",
"Atak",
"Azesearch",
"BadBar",
"Badtrans",
"Bagle",
"Bagz",
"Baidu",
"BBT.a",
"Berbew",
"BestSearch",
"Better Internet",
"BHO.p",
"Bobax",
"Bofra",
"Bropia",
"Browser Adv",
"Browseraid.com",
"BrowserVillage",
"Bugbear",
"CaptainCode",
"Cash",
"Cazoodle",
"Cissi",
"Comet",
"Commander",
"Commodore 64",
"CommonName",
"Context Plus",
"Codbot",
"Cool Web Search",
"CoolWebSearch",
"DashBar",
"DelFin Project",
"dialno; snprtz",
"Diybar",
"DoomJuice",
"Dotcom.a",
"Dotcom.b",
"Dotcom.d",
"DotComBar",
"Dumaru",
"Easy.a",
"Easy Search",
"EliteBar",
"Enhance My Search",
"EnvoloAutoUpdater",
"ESB{",
"ESB.10",
"Esbot",
"Evaman",
"Eyeveq",
"Exact",
"EXE",
"eZula",
"Ezula Related Calling Home",
"F4IRootkit",
"FastLook",
"FastSeeker",
"Feat Ext",
"Feat2 Installer",
"Feat2 updater",
"firestarter",
"Fizzer",
"FreeComm",
"FunWebProducts",
"FunWebSearch",
"FWN",
"Gael",
"GameAbyss",
"GamyunIe",
"Ganda",
"Gaobot",
"Gator",
"General",
"Gibe",
"GigatechSuperBar",
"GogoTools",
"Gonaser",
"GoogleEater",
"Goweh",
"Grandstreet",
"Hacker Defender",
"Hacty",
"HbTools 4",
"HelperH",
"Hmt.b",
"hostie",
"hostoe",
"hostoi",
"hostol",
"Hotbar",
"HotSearchBar",
"HTML/Crypted.Gen",
"HyperBar",
"Iebar",
"IEBar",
"iefeatsl",
"IEHelp.net",
"IEPlus",
"IeSearchBar",
"IGetNet",
"Ilookup",
"ImiBar",
"i-NavFourF",
"InstantBuzz",
"Internet Optimizer",
"Internet Optimizer Activity",
"IRCbot",
"ISearch",
"Ispro",
"IST",
"iWon",
"IOKernel",
"JoltID Agent New Code Download",
"Kelvir",
"KlikBar",
"Kontiki",
"Korgo",
"LiveCam",
"Locator.e",
"Locksky",
"Look2Me",
"Lovgate",
"Mabutu",
"Magistr",
"MaidBar",
"MarketScore.com",
"Maslan",
"Mature",
"MBKWBar",
"Medialoads.com",
"mez",
"MERONG",
"MGS-Internal-Web-Manager",
"Micro-Gaming",
"Mimail",
"Miva",
"Movies etc",
"Msblast",
"MyApp",
"Mydoom",
"MySearch Products",
"Mytob",
"MyTool",
"MyTotalSearch",
"MyWay",
"MyWaySearch",
"MyWebSearch",
"Mywife",
"Nachi",
"Neon",
"Netsky",
"New.net",
"NocsBar",
"NSISDL",
"UCMore",
"Opaserv",
"Optix",
"OCSLab",
"OSSProxy",
"OutfoxBot",
"Overpro",
"OWS",
"Parite",
"PeopleonPage",
"Perez",
"Plexus",
"Poller|1.1.0.",
"Possible",
"PowerSearch",
"Precision Targeting",
"PurityScan",
"Purstiu",
"Quick",
"Randex",
"Rbot",
"Reatle",
"RXBar",
"Ryknos",
"SafeSurfing",
"Sasser",
"SBSoft",
"Sdbot",
"SCAgent",
"Search Engine 2000",
"Searchbar",
"searchengine2000.com",
"SearchExpress",
"SearchIt",
"SHBar",
"shelob",
"Shop at Home Select",
"Shopathomeselect.com",
"Shopper",
"SideFind",
"Sidesearch",
"SideStep",
"SideStep Client",
"SIMBAR",
"Simbar",
"Smartpops/Mediaload",
"Sober",
"Sobig",
"Softomate",
"Spybot",
"SrchResults",
"STIEBar",
"Supaseek",
"Surebar",
"SureSeeker",
"sureseeker.com",
"Surf Assistant",
"surfaccuracy",
"Surfplayer",
"SurferPlugin",
"Svcmm Parasite",
"svcmm32.exe",
"SweetBar",
"Swen",
"Syntryx",
"Target Saver",
"Tibsystems",
"TIBS Loader",
"TIBSBrowser",
"TickerBar",
"ToolBand",
"ToolbarPartner",
"Top Converting",
"TopInstalls",
"Topconvertingagent",
"Torvil",
"TSA/",
"Twocc",
"UCmore",
"Ucmore",
"UltraBar",
"Underground",
"Valla",
"VB.a",
"VB.d",
"VB.f",
"Visicom",
"Visicom Toolbar",
"Visua",
"Web Search",
"Windal",
"Wild Tangent",
"Wildmedia",
"Wildtangent",
"Win32.Stubby",
"Windows SR 2.0",
"Wise",
"WinThirtyTwo",
"Wootbot",
"Wukill",
"XmlMimeFilter",
"xrumer",
"XupiterToolbar",
"XXXPornToolbar",
"Yaha",
"YayaShow",
"YodaoBot",
"yodaoice",
"Yokbar",
"YourSiteBar",
"Zafi",
"Zbar",
"Zindos",
"Zlob",
"Zotob",
"ZSearch"
 );

//Referer - Daten
$referrerliste = array(
"-4u.info",
"-advisor.info",
"-e-bank.info",
"-e-course.info",
"-e-shop.info",
"-esite.info",
"-site.info",
".by.ru",
".usa.gs",
"((mature|porn|gay|nude).*(sex|teen|moms|fun))", 
"(bank|business|cash|car)-loan", 
"(consumer|card|debt)-credit", 
"(credit-|debt-)", 
"(free-|discount|deal|e-mall|loan)", 
"(gangbang||pussy|porn|incest|teen)", 
"(refinanc|interest|ebanking)", 
".smsportali.net",
"(tgp|one).free", 
"(watches|insurance)",
"=b0hp?",
"=inurl:info_db.php",
"=inurl%3Ainfo_db.php",
"=inurl:links.php",
"=inurl%3Alinks.php",
"10kvisitors.com",
"adipex", 
"adult-dvd-rental-top-shop.info",
"adult-swingers.18.to",
"allinternal", 
"alprazolam", 
"amateursex.sgaico.ch",
"amateurxpass", 
"ambien", 
"american-fast-ca",
"anal.septeto.cn",
"andravarldar.se",
"animals-shirts-cat-dog-t-shirts-hawaiian-shirt.us",
"arschficken.sgaico.ch",
"asian-4you.net",
"asian-trans.net",
"asiantrans.net",
"atelebanon.com",
"bbb1.",
"bitacle.org",
"blackjack", 
"bnetsol.com", 
"brutalblowjobs", 
"budget",
"capitalraiser.com",
"carisoprodol", 
"carpiar.net",
"casino-poker",
"chat-nett.com",
"cialis", 
"cingular",
"comweb.pl",
"cooking-light-receipes.guestyy.com",
"coresat.com",
"craps", 
"credit-(card|debt)", 
"customize", 
"ddeb.", 
"development", 
"didrex", 
"diet-pills", 
"document.allesloeschen",
"document.cookie",
"document.domain",
"document.location.href",
"doobu.com", 
"dreambabes",
"dropscan.by.ru",
"dvd-movie-top-shop.info",
"edm.mypressonline.com",
"eskent.by.ru",
"etap.pl",
"evenway.net",
"floydz.imess.net",
"freewebs.com/mazda-mazda",
"fioricet", 
"freakycheats.com",
"fuckherthroat",
"fullspeed.to",
"furniture", 
"future-2000.net", 
"gambling", 
"hard-boys.com",
"hasfun.com",
"hq-inform.com",
"hydrocodone",
"i-ru.net",
"iaea",
"icio",
"immigrationattorney.ca",
"impotence",
"isacommie.com",
"ismymovies.com",
"ixay.com",
"learnhowtoplay.com",
"levitra", 
"liquor-store-cellar.info",
"lortab",
"lott.by",
"lustich.de",
"marlboro21.iespana.es",
"mature-hardy.info",
"meridia",
"minky-pop.ig3.net",
"mominaction.info",
"mortgage",
"move.to",
"myalien.de",
"mygidi.com",
"nutzu.com",
"oral-sex.sefat.cn",
"omega.sunmoon.ac.kr",
"ortho-evra.drugsupplier.biz",
"perverted-dreams.com",
"pharmacy", 
"phentermine", 
"prozac", 
"psxtreme.com",
"recipe", 
"reductil", 
"registrarprice.com", 
"ringtones", 
"ronnieazza.com", 
"roulette",
"rst.void.ru",
"script%27",
"script%28",
"scriptzbase.org",
"sesso", 
"sexsq", 
"shirts-t-shirts.com",
"sid=%3Cscript",
"sirius-satellite-radio.online-bargains.org",
"soma",
"spambot.com",
"spampoison", 
"spiele-download.de.hm",
"striptrends.com",
"tc2en.mojolingo.com.tw",
"tecrep-inc.net",
"teen.0no0.com",
"terashells.com",
"texas-(holdem|hold-em)", 
"texas-holdem", 
"thorcarlson.com",
"tramadol",
"Uhm... no",
"UserAgent:",
"usuarios.arnet.com.ar",
"valeofglamorganconservatives.org",
"valium",
"vh1.srt.com.cn",
"viagra", 
"vicodin", 
"vpsagoravai.net",
"web-sniffer.net",
"webmedia-solutions.com",
"wsop",
"www.canalproxysx.org",
"www.com/",
"www.eici.ucm.cl",
"www.freewebtown.com",
"www.ilegais.hph.com.br",
"www.intikamhack.kayyo.com",
"www.jungo8949.co.kr",
"www.Leonard0.kit.net",
"www.transpress.bg",
"www.youreducationnetwork.com",
"xanax",
"xrumer",
"xuev.net",
"zumsuk.by.ru"
);

//Ip-Liste - Daten
$ipliste = array(
"10.130.151.1",
"12.0.249.74",
"12.106.145.209",
"12.107.17.180",
"12.108.32.30",
"12.108.32.66",
"12.108.32.69",
"12.109.31.1",
"12.109.52.39",
"12.111.76.1",
"12.124.199.170",
"12.124.242.78",
"12.14.84.67",
"12.15.46.21",
"12.152.236.71",
"12.159.173.129",
"12.159.57.3",
"12.162.2.193",
"12.162.43.113",
"12.163.7.33",
"12.163.88.198",
"12.163.92.223",
"12.169.104.129",
"12.2.40.67",
"12.211.92.208",
"12.227.136.89",
"12.231.6.75",
"12.242.166.218",
"12.245.132.13",
"12.247.114.63",
"12.248.35.113",
"12.26.76.64",
"12.26.76.65",
"12.26.76.66",
"12.26.76.67",
"12.26.76.68",
"12.26.76.69",
"12.26.76.70",
"12.26.76.71",
"12.26.76.72",
"12.26.76.73",
"12.26.76.74",
"12.26.76.75",
"12.26.76.76",
"12.26.76.77",
"12.26.76.78",
"12.26.76.79",
"12.27.205.15",
"12.32.88.30",
"12.33.37.11",
"12.33.37.22",
"12.33.37.29",
"12.34.20.32",
"12.34.20.33",
"12.34.20.34",
"12.34.20.35",
"12.34.20.36",
"12.34.20.42",
"12.34.23.139",
"12.36.110.1",
"12.36.210.123",
"12.40.34.254",
"12.44.38.129",
"12.44.45.160",
"12.45.10.1",
"12.96.243.166",
"12.98.160.34",
"124.60.104.111",
"125.133.54.29",
"125.137.198.203",
"125.14.15.19",
"125.183.110.4",
"125.183.244.242",
"125.2.202.172",
"128.121.235.251",
"128.121.235.252",
"128.121.247.58",
"128.197.51.40",
"128.208.74.2",
"128.250.217.144",
"128.253.10.37",
"128.32.250.11",
"128.32.56.100",
"128.32.93.121",
"128.8.190.44",
"128.83.74.83",
"128.91.49.14",
"129.12.3.75",
"130.104.252.20",
"130.127.130.253",
"130.192.201.30",
"130.225.137.118",
"130.225.8.117",
"130.227.165.103",
"130.241.57.66",
"130.73.108.1",
"130.83.240.196",
"131.212.59.41",
"131.234.22.29",
"132.176.114.20",
"132.176.114.35",
"132.176.114.55",
"132.178.18.75",
"132.178.209.78",
"132.187.11.10",
"132.187.92.1",
"132.19.71.21",
"132.195.90.241",
"132.199.3.225",
"132.206.101.25",
"132.208.219.2",
"132.227.71.30",
"132.229.51.131",
"132.230.1.172",
"132.230.241.4",
"132.230.35.1",
"132.230.53.1",
"132.230.75.50",
"132.231.51.59",
"132.231.51.61",
"132.231.91.152",
"132.238.14.219",
"132.239.228.196",
"132.248.12.176",
"132.248.132.153",
"132.248.202.1",
"132.248.254.99",
"132.248.29.97",
"132.248.39.30",
"132.248.56.106",
"132.249.40.200",
"132.250.196.3",
"132.252.180.233",
"132.252.70.241",
"132.254.128.40",
"132.254.192.11",
"132.254.73.1",
"132.254.73.5",
"132.42.128.10",
"133.11.240.56",
"133.11.240.57",
"133.31.107.152",
"134.157.24.10",
"134.2.40.225",
"134.91.175.168",
"134.91.19.8",
"137.195.193.206",
"139.130.148.169",
"139.130.213.214",
"139.130.216.45",
"139.130.29.75",
"139.141.110.121",
"140.112.126.146",
"140.116.36.214",
"140.117.168.26",
"140.122.49.2",
"140.128.136.10",
"140.134.6.254",
"140.189.212.2",
"141.14.139.166",
"141.209.198.30",
"141.213.4.201",
"141.24.33.162",
"142.165.95.206",
"142.173.165.250",
"142.177.178.206",
"143.248.17.26",
"144.92.9.66",
"145.101.36.195",
"148.209.1.2",
"148.209.1.33",
"148.209.1.50",
"148.223.222.165",
"148.233.111.232",
"148.233.159.24",
"148.233.159.247",
"148.233.159.248",
"148.233.159.249",
"148.233.159.25",
"148.233.159.250",
"148.233.239.120",
"148.233.239.23",
"148.233.239.24",
"148.235.127.52",
"148.235.143.53",
"148.235.159.233",
"148.235.159.234",
"148.240.241.66",
"148.245.207.96",
"148.247.5.2",
"149.156.9.242",
"150.187.19.130",
"150.38.50.15",
"151.118.9.48",
"151.196.241.178",
"151.204.36.34",
"151.36.194.2",
"151.39.148.5",
"151.99.167.132",
"152.101.72.60",
"152.157.178.4",
"152.158.74.197",
"155.223.2.100",
"155.229.77.2",
"156.17.103.15",
"156.3.85.200",
"158.64.60.149",
"158.65.36.60",
"158.94.10.3",
"160.79.7.226",
"161.109.8.115",
"161.111.100.100",
"162.38.102.72",
"163.121.23.14",
"163.162.60.125",
"163.178.136.2",
"163.180.141.67",
"163.180.193.77",
"163.180.21.58",
"163.180.98.64",
"163.19.128.1",
"163.19.129.1",
"163.21.227.252",
"163.221.11.73",
"163.24.101.245",
"163.24.119.117",
"163.27.126.2",
"163.27.234.1",
"164.116.5.4",
"164.41.2.21",
"164.58.7.50",
"164.58.80.66",
"164.77.247.122",
"165.138.213.230",
"165.139.246.4",
"165.194.97.11",
"166.70.88.150",
"167.216.191.66",
"168.115.122.9",
"168.188.43.213",
"169.204.122.7",
"169.207.11.153",
"169.207.144.82",
"170.140.74.136",
"170.210.83.208",
"170.224.224.101",
"170.224.224.133",
"170.224.224.37",
"171.64.107.73",
"171.64.75.80",
"172.21.16.1",
"192.102.253.70",
"192.115.8.147",
"192.117.232.220",
"192.132.3.173",
"192.166.53.5",
"192.84.155.28",
"193.0.67.130",
"193.108.229.187",
"193.112.136.7",
"193.12.108.68",
"193.126.224.38",
"193.128.145.56",
"193.132.72.3",
"193.136.157.2",
"193.136.204.68",
"193.136.214.207",
"193.141.191.68",
"193.156.56.188",
"193.170.208.237",
"193.170.209.83",
"193.170.41.166",
"193.171.249.98",
"193.172.45.49",
"193.179.2.179",
"193.181.23.85",
"193.188.36.254",
"193.188.37.249",
"193.188.73.",
"193.188.77.2",
"193.188.80.128",
"193.188.87.146",
"193.188.87.26",
"193.188.87.42",
"193.188.97.152",
"193.192.106.199",
"193.193.188.74",
"193.193.250.25",
"193.193.88.66",
"193.193.90.210",
"193.193.91.65",
"193.193.91.66",
"193.194.74.10",
"193.203.225.35",
"193.206.185.41",
"193.218.84.218",
"193.219.212.210",
"193.219.28.144",
"193.219.28.146",
"193.220.169.3",
"193.224.99.230",
"193.226.5.47",
"193.226.5.55",
"193.226.6.183",
"193.227.168.2",
"193.227.17.30",
"193.230.183.158",
"193.231.12.10",
"193.231.9.3",
"193.251.68.36",
"193.251.9.132",
"193.252.122.78",
"193.40.58.14",
"193.41.160.56",
"193.47.80.36",
"193.48.37.19",
"193.63.75.18",
"193.65.248.188",
"193.85.183.121",
"193.85.207.125",
"193.95.112.67",
"194.100.50.237",
"194.100.89.19",
"194.105.218.65",
"194.105.24.93",
"194.117.12.90",
"194.126.31.10",
"194.143.227.235",
"194.150.252.",
"194.150.253.",
"194.152.118.18",
"194.160.192.14",
"194.165.149.241",
"194.170.6.250",
"194.173.16.3",
"194.174.201.194",
"194.182.70.22",
"194.183.192.46",
"194.185.116.12",
"194.199.196.7",
"194.200.132.36",
"194.202.251.138",
"194.203.186.139",
"194.204.145.100",
"194.204.220.166",
"194.205.59.117",
"194.205.59.2",
"194.205.59.61",
"194.205.59.73",
"194.206.209.132",
"194.212.201.235",
"194.212.26.129",
"194.212.95.34",
"194.244.208.4",
"194.25.184.58",
"194.250.150.63",
"194.254.25.165",
"194.27.30.2",
"194.36.10.154",
"194.36.10.156",
"194.38.133.180",
"194.38.174.3",
"194.42.128.22",
"194.63.176.1",
"194.63.216.85",
"194.63.220.41",
"194.63.228.69",
"194.63.229.137",
"194.63.230.77",
"194.65.122.3",
"194.65.85.24",
"194.7.178.222",
"194.7.54.90",
"194.72.9.37",
"194.73.75.22",
"194.74.201.31",
"194.78.185.191",
"194.78.200.141",
"194.78.203.10",
"194.78.244.130",
"194.78.66.70",
"194.80.38.243",
"194.90.161.230",
"194.90.161.238",
"194.90.161.254",
"195.10.102.218",
"195.10.102.219",
"195.10.102.244",
"195.10.11.5",
"195.10.11.7",
"195.10.11.84",
"195.10.11.94",
"195.10.112.10",
"195.10.122.208",
"195.10.123.197",
"195.10.151.9",
"195.10.153.11",
"195.10.159.10",
"195.10.159.20",
"195.10.180.69",
"195.10.181.204",
"195.10.182.12",
"195.10.182.16",
"195.10.183.9",
"195.10.227.2",
"195.10.227.4",
"195.10.241.1",
"195.10.241.2",
"195.10.241.3",
"195.10.243.50",
"195.100.100.65",
"195.100.100.97",
"195.100.110.227",
"195.100.125.159",
"195.100.125.194",
"195.100.125.196",
"195.100.125.197",
"195.100.125.205",
"195.100.164.226",
"195.100.168.14",
"195.100.168.234",
"195.100.168.26",
"195.100.168.27",
"195.100.168.4",
"195.100.194.15",
"195.100.214.150",
"195.100.35.203",
"195.100.37.140",
"195.100.49.162",
"195.100.51.45",
"195.100.62.130",
"195.100.76.13",
"195.100.77.10",
"195.101.1.76",
"195.101.108.194",
"195.101.110.56",
"195.101.111.251",
"195.101.123.129",
"195.101.131.57",
"195.101.163.193",
"195.101.18.102",
"195.101.182.19",
"195.101.182.50",
"195.101.182.61",
"195.101.191.45",
"195.101.214.209",
"195.101.214.210",
"195.101.217.192",
"195.101.217.48",
"195.101.217.50",
"195.101.217.51",
"195.101.217.55",
"195.101.217.63",
"195.101.217.64",
"195.101.217.79",
"195.101.217.81",
"195.101.23.4",
"195.101.250.212",
"195.101.51.11",
"195.101.59.97",
"195.101.66.68",
"195.101.75.1",
"195.101.96.129",
"195.102.128.6",
"195.102.147.52",
"195.102.184.149",
"195.102.20.20",
"195.102.208.242",
"195.103.108.21",
"195.103.108.22",
"195.103.108.23",
"195.103.108.24",
"195.103.108.25",
"195.103.108.4",
"195.103.12.140",
"195.103.122.4",
"195.103.124.10",
"195.103.124.130",
"195.103.124.5",
"195.103.124.7",
"195.103.124.8",
"195.103.129.130",
"195.103.131.145",
"195.103.140.45",
"195.103.140.46",
"195.103.141.42",
"195.103.142.131",
"195.103.142.132",
"195.103.143.194",
"195.103.144.130",
"195.103.144.205",
"195.103.158.55",
"195.103.204.252",
"195.103.208.5",
"195.103.218.12",
"195.103.219.25",
"195.103.22.199",
"195.103.220.115",
"195.103.225.67",
"195.103.225.71",
"195.103.64.130",
"195.103.64.226",
"195.103.68.136",
"195.103.71.153",
"195.103.8.10",
"195.103.83.43",
"195.103.91.2",
"195.103.91.89",
"195.108.195.98",
"195.108.228.5",
"195.108.237.43",
"195.108.238.83",
"195.108.251.11",
"195.108.251.5",
"195.108.251.7",
"195.108.80.19",
"195.109.33.2",
"195.109.44.13",
"195.109.80.11",
"195.109.90.16",
"195.109.90.23",
"195.11.192.26",
"195.11.50.108",
"195.110.139.55",
"195.116.150.130",
"195.116.60.83",
"195.117.180.102",
"195.127.203.34",
"195.127.55.202",
"195.131.117.93",
"195.134.114.4",
"195.14.248.186",
"195.144.130.1",
"195.145.5.12",
"195.147.204.250",
"195.15.15.210",
"195.161.211.42",
"195.162.160.3",
"195.162.99.236",
"195.163.4.42",
"195.165.75.8",
"195.167.19.74",
"195.167.64.193",
"195.17.87.17",
"195.171.105.134",
"195.174.15.144",
"195.174.15.227",
"195.174.4.7",
"195.177.65.194",
"195.178.164.205",
"195.18.194.151",
"195.184.234.84",
"195.184.96.23",
"195.19.10.243",
"195.19.10.69",
"195.191.148.201",
"195.192.127.6",
"195.192.22.142",
"195.199.102.45",
"195.199.106.253",
"195.199.125.237",
"195.199.25.125",
"195.199.4.173",
"195.199.40.61",
"195.199.46.29",
"195.201.254.69",
"195.202.88.165",
"195.205.203.30",
"195.205.240.10",
"195.205.240.3",
"195.216.106.6",
"195.217.49.193",
"195.222.202.30",
"195.224.118.8",
"195.224.246.18",
"195.226.230.37",
"195.226.55.76",
"195.229.106.131",
"195.229.189.3",
"195.229.240.188",
"195.229.240.92",
"195.229.241.81",
"195.23.54.90",
"195.244.232.90",
"195.25.90.2",
"195.31.204.31",
"195.34.143.108",
"195.38.80.81",
"195.39.134.81",
"195.39.134.85",
"195.41.142.222",
"195.46.131.40",
"195.5.0.126",
"195.5.59.102",
"195.53.24.2",
"195.54.154.53",
"195.57.220.185",
"195.58.201.126",
"195.64.225.39",
"195.64.28.57",
"195.66.163.26",
"195.68.95.209",
"195.74.128.34",
"195.78.6.28",
"195.8.0.234",
"195.8.1.77",
"195.8.228.167",
"196.202.154.130",
"196.203.24.98",
"196.40.31.138",
"196.40.43.218",
"198.107.14.24",
"198.107.42.158",
"198.111.28.18",
"198.165.163.11",
"198.165.57.11",
"198.216.59.46",
"198.237.38.194",
"198.248.72.77",
"198.39.6.25",
"198.39.6.96",
"198.69.64.41",
"198.77.40.57",
"198.84.16.126",
"198.94.68.34",
"198.96.80.15",
"199.104.82.20",
"199.106.212.15",
"199.106.212.16",
"199.106.212.17",
"199.106.212.18",
"199.106.212.23",
"199.106.212.25",
"199.106.212.27",
"199.106.212.3",
"199.106.212.8",
"199.182.247.2",
"199.190.239.5",
"199.3.230.86",
"199.41.254.16",
"199.45.200.90",
"199.45.206.19",
"199.6.98.210",
"199.84.165.96",
"199.95.204.45",
"200.1.234.29",
"200.102.74.98",
"200.109.38.53",
"200.109.64.128",
"200.11.86.178",
"200.114.158.203",
"200.117.164.8",
"200.117.193.234",
"200.117.203.122",
"200.117.221.116",
"200.118.110.10",
"200.12.226.8",
"200.126.72.36",
"200.13.199.35",
"200.13.228.165",
"200.13.230.136",
"200.134.14.2",
"200.14.236.147",
"200.14.253.105",
"200.142.178.167",
"200.156.19.9",
"200.158.100.58",
"200.158.120.203",
"200.158.130.117",
"200.158.136.16",
"200.158.151.227",
"200.161.144.56",
"200.161.195.213",
"200.161.73.176",
"200.161.9.120",
"200.161.93.234",
"200.162.50.98",
"200.162.50.99",
"200.163.124.2",
"200.163.20.40",
"200.163.234.2",
"200.164.56.24",
"200.166.38.59",
"200.167.191.2",
"200.168.100.26",
"200.168.105.220",
"200.168.106.123",
"200.168.111.6",
"200.168.118.106",
"200.168.12.189",
"200.168.126.161",
"200.168.126.99",
"200.168.131.106",
"200.168.132.181",
"200.168.132.60",
"200.168.136.245",
"200.168.138.38",
"200.168.14.163",
"200.168.143.37",
"200.168.151.188",
"200.168.19.212",
"200.168.227.206",
"200.168.227.234",
"200.168.227.250",
"200.168.227.254",
"200.168.250.130",
"200.168.32.96",
"200.168.6.185",
"200.168.62.224",
"200.168.68.58",
"200.168.79.249",
"200.168.79.25",
"200.168.87.16",
"200.168.95.100",
"200.17.50.132",
"200.17.79.42",
"200.170.242.226",
"200.171.103.8",
"200.171.108.53",
"200.171.111.210",
"200.171.111.37",
"200.171.14.153",
"200.171.14.170",
"200.171.228.168",
"200.171.38.62",
"200.171.46.82",
"200.171.69.144",
"200.171.74.139",
"200.171.95.148",
"200.173.217.41",
"200.175.11.2",
"200.176.47.59",
"200.177.74.22",
"200.180.143.134",
"200.180.145.33",
"200.180.77.131",
"200.181.107.130",
"200.181.30.139",
"200.181.76.138",
"200.182.86.2",
"200.185.104.178",
"200.19.159.35",
"200.190.251.70",
"200.194.232.4",
"200.195.52.193",
"200.198.153.78",
"200.199.55.66",
"200.2.43.177",
"200.2.43.225",
"200.202.168.4",
"200.202.18.34",
"200.202.250.227",
"200.203.240.129",
"200.203.240.150",
"200.204.118.235",
"200.204.125.170",
"200.204.142.214",
"200.204.142.243",
"200.204.144.47",
"200.204.180.33",
"200.204.195.208",
"200.204.197.242",
"200.204.63.39",
"200.204.69.217",
"200.204.97.114",
"200.205.157.130",
"200.205.183.7",
"200.205.187.66",
"200.205.30.234",
"200.205.68.46",
"200.206.162.56",
"200.206.165.32",
"200.206.168.72",
"200.206.187.83",
"200.206.210.156",
"200.206.241.165",
"200.206.71.130",
"200.206.96.3",
"200.207.11.10",
"200.207.116.4",
"200.207.117.231",
"200.207.128.96",
"200.207.157.69",
"200.207.158.86",
"200.207.190.174",
"200.207.209.58",
"200.207.44.182",
"200.207.46.18",
"200.207.6.189",
"200.207.6.70",
"200.207.80.161",
"200.207.83.20",
"200.207.88.160",
"200.21.21.93",
"200.21.90.118",
"200.210.163.20",
"200.212.147.203",
"200.212.196.236",
"200.212.242.130",
"200.214.54.34",
"200.216.72.211",
"200.221.21.230",
"200.221.68.251",
"200.222.43.57",
"200.222.43.73",
"200.223.23.130",
"200.23.83.5",
"200.230.199.10",
"200.230.22.242",
"200.230.55.129",
"200.230.55.130",
"200.230.55.131",
"200.230.55.132",
"200.230.55.133",
"200.230.55.135",
"200.230.55.139",
"200.230.55.140",
"200.230.55.142",
"200.230.55.143",
"200.230.55.144",
"200.230.55.145",
"200.230.55.146",
"200.230.55.147",
"200.230.55.148",
"200.230.55.150",
"200.230.55.151",
"200.230.55.152",
"200.230.55.153",
"200.230.55.155",
"200.230.55.156",
"200.230.55.157",
"200.230.55.158",
"200.230.55.159",
"200.230.55.160",
"200.230.55.161",
"200.230.55.162",
"200.230.55.163",
"200.230.55.164",
"200.230.55.165",
"200.230.55.166",
"200.230.55.167",
"200.230.55.168",
"200.230.55.169",
"200.230.55.170",
"200.230.55.171",
"200.230.55.172",
"200.230.55.173",
"200.230.55.174",
"200.230.55.175",
"200.230.55.176",
"200.230.55.177",
"200.230.55.181",
"200.230.55.182",
"200.230.55.183",
"200.230.55.184",
"200.230.55.185",
"200.230.55.186",
"200.230.55.187",
"200.230.55.188",
"200.230.55.189",
"200.230.55.190",
"200.230.55.191",
"200.230.55.192",
"200.230.55.193",
"200.230.55.194",
"200.230.55.195",
"200.230.55.196",
"200.230.55.197",
"200.230.55.198",
"200.230.55.200",
"200.230.55.202",
"200.230.55.203",
"200.230.55.204",
"200.230.55.205",
"200.230.55.206",
"200.230.55.207",
"200.230.55.208",
"200.230.55.209",
"200.230.55.210",
"200.230.55.211",
"200.230.55.212",
"200.230.55.213",
"200.230.55.214",
"200.230.55.215",
"200.230.55.216",
"200.230.55.217",
"200.230.55.219",
"200.230.55.220",
"200.230.55.221",
"200.230.55.222",
"200.230.55.223",
"200.230.55.224",
"200.230.55.225",
"200.230.55.226",
"200.230.55.227",
"200.230.55.228",
"200.230.55.229",
"200.230.55.230",
"200.230.55.231",
"200.230.55.232",
"200.230.55.233",
"200.230.55.234",
"200.230.55.235",
"200.230.55.236",
"200.230.55.237",
"200.230.55.238",
"200.230.55.239",
"200.230.55.240",
"200.230.55.241",
"200.230.55.242",
"200.230.55.243",
"200.230.55.244",
"200.230.55.245",
"200.230.55.246",
"200.230.55.247",
"200.230.55.249",
"200.230.55.250",
"200.230.55.251",
"200.230.55.252",
"200.230.55.253",
"200.230.55.254",
"200.230.67.1",
"200.240.17.4",
"200.241.212.34",
"200.242.13.134",
"200.242.13.138",
"200.242.13.147",
"200.242.13.148",
"200.242.13.153",
"200.242.13.158",
"200.242.13.167",
"200.242.13.168",
"200.242.13.170",
"200.242.13.173",
"200.242.13.177",
"200.242.13.180",
"200.242.13.186",
"200.242.13.190",
"200.242.13.191",
"200.242.13.201",
"200.242.13.202",
"200.242.13.203",
"200.242.13.205",
"200.242.13.218",
"200.242.13.223",
"200.242.13.227",
"200.242.13.229",
"200.242.13.231",
"200.242.13.232",
"200.242.13.238",
"200.242.13.242",
"200.242.13.243",
"200.242.13.246",
"200.242.13.250",
"200.242.13.251",
"200.242.13.252",
"200.242.13.253",
"200.242.13.254",
"200.242.139.10",
"200.242.139.11",
"200.242.139.12",
"200.242.139.13",
"200.242.139.14",
"200.242.139.15",
"200.242.139.16",
"200.242.139.17",
"200.242.139.18",
"200.242.139.19",
"200.242.139.2",
"200.242.139.20",
"200.242.139.21",
"200.242.139.22",
"200.242.139.23",
"200.242.139.24",
"200.242.139.25",
"200.242.139.26",
"200.242.139.27",
"200.242.139.28",
"200.242.139.29",
"200.242.139.3",
"200.242.139.30",
"200.242.139.31",
"200.242.139.32",
"200.242.139.33",
"200.242.139.34",
"200.242.139.35",
"200.242.139.37",
"200.242.139.38",
"200.242.139.39",
"200.242.139.4",
"200.242.139.40",
"200.242.139.41",
"200.242.139.42",
"200.242.139.43",
"200.242.139.44",
"200.242.139.45",
"200.242.139.46",
"200.242.139.47",
"200.242.139.48",
"200.242.139.49",
"200.242.139.5",
"200.242.139.50",
"200.242.139.51",
"200.242.139.52",
"200.242.139.53",
"200.242.139.54",
"200.242.139.55",
"200.242.139.56",
"200.242.139.57",
"200.242.139.58",
"200.242.139.59",
"200.242.139.6",
"200.242.139.60",
"200.242.139.62",
"200.242.139.7",
"200.242.139.8",
"200.242.139.9",
"200.242.14.10",
"200.242.14.13",
"200.242.14.14",
"200.242.14.21",
"200.242.14.213",
"200.242.14.22",
"200.242.14.23",
"200.242.14.242",
"200.242.14.244",
"200.242.14.245",
"200.242.14.246",
"200.242.14.247",
"200.242.14.248",
"200.242.14.249",
"200.242.14.252",
"200.242.14.253",
"200.242.14.254",
"200.242.14.26",
"200.242.14.34",
"200.242.14.36",
"200.242.14.37",
"200.242.14.38",
"200.242.14.39",
"200.242.14.40",
"200.242.14.42",
"200.242.14.47",
"200.242.14.48",
"200.242.14.49",
"200.242.14.50",
"200.242.14.51",
"200.242.14.56",
"200.242.14.58",
"200.242.14.59",
"200.242.14.6",
"200.242.14.7",
"200.242.14.8",
"200.242.14.9",
"200.242.22.10",
"200.242.22.118",
"200.242.22.122",
"200.242.22.123",
"200.242.22.128",
"200.242.22.131",
"200.242.22.132",
"200.242.22.133",
"200.242.22.137",
"200.242.22.140",
"200.242.22.145",
"200.242.22.148",
"200.242.22.151",
"200.242.22.156",
"200.242.22.158",
"200.242.22.159",
"200.242.22.161",
"200.242.22.162",
"200.242.22.164",
"200.242.22.166",
"200.242.22.17",
"200.242.22.181",
"200.242.22.182",
"200.242.22.183",
"200.242.22.184",
"200.242.22.185",
"200.242.22.186",
"200.242.22.187",
"200.242.22.188",
"200.242.22.189",
"200.242.22.190",
"200.242.22.191",
"200.242.22.195",
"200.242.22.197",
"200.242.22.2",
"200.242.22.32",
"200.242.22.37",
"200.242.22.38",
"200.242.22.39",
"200.242.22.44",
"200.242.22.45",
"200.242.22.56",
"200.242.22.71",
"200.242.22.72",
"200.242.22.76",
"200.242.22.8",
"200.242.22.9",
"200.242.28.196",
"200.242.4.115",
"200.242.4.117",
"200.242.4.119",
"200.243.218.32",
"200.244.30.2",
"200.246.139.70",
"200.246.52.244",
"200.248.140.13",
"200.249.46.195",
"200.25.10.65",
"200.251.161.254",
"200.252.127.161",
"200.252.163.56",
"200.252.68.204",
"200.252.72.9",
"200.253.22.130",
"200.255.111.233",
"200.27.152.3",
"200.30.100.242",
"200.30.104.82",
"200.31.10.19",
"200.31.204.82",
"200.31.29.42",
"200.31.65.42",
"200.31.74.2",
"200.32.70.67",
"200.32.75.90",
"200.32.86.100",
"200.33.129.210",
"200.33.34.2",
"200.36.166.193",
"200.38.154.5",
"200.39.119.130",
"200.39.227.253",
"200.39.227.254",
"200.39.240.189",
"200.39.240.252",
"200.39.248.190",
"200.39.248.254",
"200.4.121.209",
"200.4.123.194",
"200.4.142.179",
"200.40.189.214",
"200.41.234.241",
"200.42.220.154",
"200.42.31.210",
"200.43.133.19",
"200.43.164.3",
"200.43.164.4",
"200.43.187.212",
"200.45.71.52",
"200.45.71.52",
"200.45.74.124",
"200.45.77.18",
"200.46.109.85",
"200.47.172.101",
"200.5.80.8",
"200.5.86.180",
"200.5.86.52",
"200.5.86.68",
"200.50.131.210",
"200.51.40.34",
"200.53.64.240",
"200.53.64.241",
"200.54.149.210",
"200.55.12.136",
"200.55.7.235",
"200.61.128.45",
"200.63.208.123",
"200.64.127.1",
"200.64.191.49",
"200.64.191.50",
"200.64.191.51",
"200.64.191.52",
"200.64.223.209",
"200.64.63.177",
"200.65.0.17",
"200.65.0.25",
"200.65.0.26",
"200.65.0.27",
"200.65.0.33",
"200.65.0.9",
"200.65.127.161",
"200.65.127.162",
"200.65.127.163",
"200.65.129.1",
"200.65.129.2",
"200.65.129.25",
"200.65.129.3",
"200.65.129.33",
"200.66.191.1",
"200.66.191.2",
"200.67.0.58",
"200.67.0.84",
"200.67.139.70",
"200.67.140.76",
"200.67.26.108",
"200.67.57.15",
"200.69.138.131",
"200.72.130.66",
"200.75.38.202",
"200.76.0.118",
"200.96.251.52",
"2004-BO11492M7Y",
"201.17.147.67",
"201.17.199.180",
"201.17.219.154",
"201.221.142.44",
"201.245.148.238",
"201.49.5.159",
"202.103.69.168",
"202.142.170.106",
"202.164.166.154",
"202.164.176.74",
"202.175.60.214",
"202.175.82.103",
"202.185.32.193",
"202.194.155.222",
"202.194.210.9",
"202.5.128.10",
"202.62.86.3",
"202.65.237.50",
"202.70.39.44",
"202.83.173.44",
"203.107.217.141",
"203.177.167.195",
"203.180.76.78",
"203.228.184.177",
"203.229.240.158",
"203.229.251.159",
"203.229.6.110",
"203.23.253.10",
"203.234.216.215",
"203.236.96.155",
"203.237.67.194",
"203.81.136.101",
"203.89.173.223",
"204.1.121.114",
"204.101.186.234",
"204.101.53.1",
"204.155.151.194",
"204.169.120.253",
"204.169.23.246",
"204.186.55.135",
"204.186.77.5",
"204.187.76.3",
"204.191.14.2",
"204.201.220.33",
"204.210.214.148",
"204.215.51.129",
"204.60.8.162",
"205.240.10.238",
"206.222.72.22",
"206.228.210.2",
"206.54.70.243",
"207.245.36.4",
"207.32.153.140",
"207.44.1",
"207.44.2",
"208.179.120.34",
"209.158.161.235",
"209.167.50.22",
"210.101.138.154",
"210.101.98.200",
"210.108.33.84",
"210.108.57.10",
"210.114.144.21",
"210.118.141.134",
"210.118.163.2",
"210.123.163.59",
"210.123.35.250",
"210.127.227.69",
"210.16.47.7",
"210.17.238.165",
"210.182.117.200",
"210.182.194.201",
"210.182.215.170",
"210.182.62.130",
"210.183.193.78",
"210.183.42.18",
"210.183.60.26",
"210.183.83.180",
"210.187.6.84",
"210.194.199.76",
"210.222.22.234",
"210.51.190.97",
"210.91.235.70",
"211.100.4.71",
"211.100.4.72",
"211.104.149.159",
"211.105.100.135",
"211.106.5.74",
"211.108.96.84",
"211.115.235.18",
"211.140.105.187",
"211.162.62.161",
"211.169.160.234",
"211.169.74.180",
"211.170.61.161",
"211.172.142.151",
"211.187.29.177",
"211.193.69.77",
"211.193.93.130",
"211.195.120.67",
"211.211.165.25",
"211.211.189.170",
"211.212.10.165",
"211.212.147.109",
"211.212.26.187",
"211.212.26.216",
"211.218.195.119",
"211.219.156.38",
"211.224.68.18",
"211.246.136.180",
"211.247.65.119",
"211.35.206.200",
"211.36.154.154",
"211.38.211.130",
"211.38.92.209",
"211.38.97.55",
"211.40.213.130",
"211.48.25.2",
"211.60.206.125",
"211.63.225.159",
"211.63.234.130",
"211.72.122.130",
"211.90.225.130",
"211.95.73.145",
"211.99.123.232",
"212.107.101.164",
"212.122.76.212",
"212.155.139.61",
"212.190.22",
"212.190.23",
"212.202.224.66",
"212.24.242.162",
"212.244.115.18",
"212.71.37.221",
"212.76.68.49",
"212.93.195.180",
"212.93.204.178",
"213.140.14.185",
"213.140.56.244",
"213.154.80.148",
"213.165.120.64",
"213.191.104.58",
"213.60.84.225",
"216.11.0.16",
"216.120.136.18",
"216.136.4.22",
"216.136.65.2",
"216.138.54.254",
"216.176.179.66",
"216.176.179.69",
"216.219.18.3",
"216.222.18.155",
"216.37.184.151",
"216.40.89.182",
"216.40.89.184",
"216.55.168.181",
"217.10.190.34",
"217.133.38.19",
"217.194.113.19",
"217.219.179.224",
"217.219.179.225",
"217.219.179.226",
"217.219.179.227",
"217.219.179.228",
"217.219.179.229",
"217.219.179.230",
"217.219.179.231",
"217.219.179.232",
"217.219.179.233",
"217.219.179.234",
"217.219.179.235",
"217.219.179.236",
"217.219.179.237",
"217.219.179.238",
"217.219.179.239",
"217.219.179.240",
"217.219.179.241",
"217.219.179.242",
"217.219.179.243",
"217.219.179.244",
"217.219.179.245",
"217.219.179.246",
"217.219.179.247",
"217.219.179.248",
"217.219.179.249",
"217.219.179.250",
"217.219.179.251",
"217.219.179.252",
"217.219.179.253",
"217.219.179.254",
"217.219.179.255",
"217.219.203.16",
"217.41.93.163",
"217.91.66.6",
"218.104.100.221",
"218.11.207.244",
"218.128.240.113",
"218.138.48.85",
"218.145.229.211",
"218.146.19.190",
"218.150.85.74",
"218.152.102.65",
"218.156.165.105",
"218.156.187.95",
"218.157.225.184",
"218.188.4.35",
"218.189.215.179",
"218.232.149.156",
"218.232.162.250",
"218.234.131.14",
"218.234.137.12",
"218.234.166.121",
"218.234.166.122",
"218.234.166.124",
"218.234.166.126",
"218.234.166.66",
"218.234.166.68",
"218.237.205.51",
"218.248.1.13",
"218.249.47.173",
"218.249.47.173",
"218.37.4.56",
"218.38.200.109",
"218.39.201.88",
"218.53.104.2",
"218.54.92.28",
"218.55.105.55",
"218.55.131.11",
"218.55.89.60",
"218.56.32.230",
"218.62.81.78",
"219.110.72.122",
"219.136.249.79",
"219.136.249.97",
"219.140.165.91",
"219.232.9.180",
"219.239.110.9",
"219.240.113.2",
"219.240.64.153",
"219.249.103.98",
"219.250.175.62",
"219.254.171.164",
"219.26.66.111",
"219.83.0.98",
"219.93.174.102",
"219.93.174.104",
"219.93.174.105",
"219.93.174.106",
"219.93.211.74",
"220.1.36.197",
"220.117.135.217",
"220.118.165.240",
"220.118.223.66",
"220.119.216.42",
"220.119.244.43",
"220.119.76.147",
"220.123.68.217",
"220.125.190.39",
"220.125.45.143",
"220.125.98.119",
"220.126.195.89",
"220.126.227.216",
"220.127.171.183",
"220.130.129.200",
"220.165.140.8",
"220.194.26.10",
"220.2.140.167",
"220.201.38.3",
"220.233.179.159",
"220.3.76.31",
"220.64.230.31",
"220.67.148.140",
"220.70.246.233",
"220.72.178.171",
"220.72.196.68",
"220.72.196.72",
"220.73.104.144",
"220.73.2.227",
"220.76.60.229",
"220.85.127.211",
"220.86.186.16",
"220.86.31.75",
"220.86.99.122",
"220.87.83.41",
"220.89.19.42",
"220.95.88.97",
"221.133.139.10",
"221.136.86.235",
"221.138.188.33",
"221.138.36.46",
"221.141.227.33",
"221.142.245.144",
"221.144.250.240",
"221.145.102.252",
"221.145.27.174",
"221.145.27.75",
"221.146.138.161",
"221.146.211.193",
"221.150.196.170",
"221.152.194.175",
"221.152.244.120",
"221.153.22.68",
"221.153.234.136",
"221.159.207.119",
"221.160.41.7",
"221.160.67.37",
"221.160.92.194",
"221.161.134.140",
"221.162.12.44",
"221.162.34.132",
"221.165.193.61",
"221.165.193.66",
"221.165.193.67",
"221.165.50.41",
"221.240.212.126",
"222.100.58.211",
"222.103.145.220",
"222.105.28.47",
"222.107.67.219",
"222.108.241.149",
"222.109.25.77",
"222.110.0.146",
"222.110.174.96",
"222.111.206.227",
"222.112.15.80",
"222.112.15.99",
"222.112.213.55",
"222.112.243.129",
"222.113.6.163",
"222.114.24.30",
"222.117.17.200",
"222.117.31.85",
"222.117.84.196",
"222.118.74.62",
"222.119.148.42",
"222.119.169.51",
"222.119.169.55",
"222.119.181.13",
"222.121.223.176",
"222.232.189.98",
"222.233.12.71",
"222.234.43.228",
"222.237.71.96",
"222.97.14.232",
"222.97.196.107",
"222.97.250.58",
"222.97.80.19",
"222.98.237.249",
"222.98.9.39",
"222.99.195.240",
"222.99.209.235",
"222.99.213.253",
"222.99.54.130",
"24.123.8.250",
"24.193.207.238",
"24.209.218.89",
"24.8.112.244",
"38.98.19.",
"58.145.11.133",
"58.145.14.21",
"58.145.14.26",
"58.145.6.19",
"58.147.0.35",
"58.225.34.230",
"58.226.80.93",
"58.230.3.170",
"58.231.61.170",
"58.232.19.114",
"58.233.74.107",
"58.236.226.55",
"58.238.144.70",
"58.239.130.160",
"58.239.199.128",
"58.239.231.109",
"58.246.136.3",
"58.68.64.10",
"58.72.135.10",
"58.72.135.144",
"59.1.28.123",
"59.1.34.220",
"59.10.240.144",
"59.11.146.181",
"59.120.55.183",
"59.13.137.10",
"59.13.220.92",
"59.15.50.100",
"59.15.54.188",
"59.17.50.18",
"59.187.213.215",
"59.19.152.173",
"59.2.31.178",
"59.20.37.36",
"59.20.37.9",
"59.20.76.65",
"59.21.100.3",
"59.22.165.39",
"59.24.31.72",
"59.25.101.178",
"59.25.20.208",
"59.26.229.23",
"59.28.89.124",
"59.3.87.102",
"59.30.145.132",
"59.30.182.9",
"59.30.71.203",
"59.4.77.110",
"59.5.127.197",
"59.5.133.60",
"59.6.208.61",
"59.7.138.54",
"59.7.157.48",
"59.7.18.115",
"59.8.53.82",
"60.62.119.39",
"61.101.79.128",
"61.105.243.99",
"61.109.32.124",
"61.11.8.229",
"61.111.171.114",
"61.111.184.248",
"61.142.212.46",
"61.150.115.245",
"61.152.169.27",
"61.18.195.88",
"61.19.219.67",
"61.247.120.181",
"61.248.238.210",
"61.249.240.226",
"61.249.93.58",
"61.251.21.236",
"61.251.242.130",
"61.252.155.134",
"61.253.129.98",
"61.255.182.152",
"61.27.243.243",
"61.30.12.102",
"61.32.118.243",
"61.33.100.157",
"61.33.51.49",
"61.33.82.17",
"61.35.11.74",
"61.35.176.151",
"61.35.26.163",
"61.35.60.18",
"61.35.66.84",
"61.35.86.29",
"61.36.130.233",
"61.36.132.231",
"61.36.21.113",
"61.36.59.144",
"61.38.95.220",
"61.40.190.155",
"61.41.79.93",
"61.63.31.148",
"61.64.115.253",
"61.73.103.60",
"61.75.52.96",
"61.75.62.200",
"61.76.172.14",
"61.76.203.60",
"61.77.209.59",
"61.77.37.203",
"61.78.120.152",
"61.79.111.181",
"61.81.87.159",
"61.82.152.224",
"61.82.43.82",
"61.83.77.198",
"61.97.117.165",
"61.99.120.225",
"62.166.203.195",
"62.183.50.164",
"62.193.238.38",
"62.7.244.103",
"62.75.244.211",
"62.99.70.205",
"63.115.175.130",
"63.123.19.18",
"63.214.255.76",
"63.223.83.158",
"64.110.74.244",
"64.121.22.24",
"64.34.193.106",
"65.98.32.16",
"66.161.222.165",
"66.191.117.218",
"66.200.182.35",
"66.207.103.165",
"66.214.25.214",
"66.237.95.31",
"66.98.131.229",
"66.98.250.94",
"67.15.76.148",
"67.41.128.105",
"67.87.163.248",
"68.167.86.91",
"68.2.122.29",
"68.204.197.155",
"68.52.153.95",
"68.60.21.157",
"68.96.176.8",
"69.222.130.243",
"69.46.16.119",
"69.50.188.2",
"69.91.5.104",
"69.93.165.2",
"70.161.122.59",
"70.228.77.16",
"70.30.151.194",
"71.39.53.234",
"72.129.228.248",
"80.123.209.146",
"80.58.205.",
"80.60.39.241",
"80.76.63.72",
"82.114.68.",
"82.114.69.",
"82.114.70.",
"82.114.71.",
"82.114.72.",
"82.114.73.",
"82.114.74.",
"82.129.131.3",
"82.135.200.55",
"82.165.238.15",
"82.192.15.138",
"82.229.216.15",
"82.75.67.143",
"83.222.30.40",
"83.228.51.18",
"84.203.104.85",
"85.108.36.172",
"85.142.33.146",
"85.255.117."
);

//Hostliste ACP - Daten
$hostlisteacp = array(
".af",
".al",
".dz",
".as",
".ad",
".ao",
".ai",
".aq",
".ag",
".ar",
".am",
".aw",
".ac",
".au",
".at",
".az",
".bh",
".bd",
".bb",
".by",
".be",
".bz",
".bj",
".bm",
".bt",
".bo",
".ba",
".bw",
".bv",
".br",
".io",
".bn",
".bg",
".bf",
".bi",
".kh",
".cm",
".ca",
".cv",
".cf",
".td",
".gg",
".je",
".cl",
".cn",
".cx",
".cc",
".co",
".km",
".cg",
".cd",
".ck",
".cr",
".ci",
".hr",
".cu",
".cy",
".cz",
".dk",
".dj",
".dm",
".do",
".tp",
".ec",
".eg",
".sv",
".gg",
".er",
".ee",
".et",
".fk",
".fo",
".fj",
".fi",
".fr",
".gf",
".pf",
".tf",
".fx",
".ga",
".gm",
".ge",
".gh",
".gi",
".gr",
".gl",
".gd",
".gp",
".gu",
".gt",
".gn",
".gw",
".gy",
".ht",
".hm",
".hn",
".hk",
".hu",
".is",
".in",
".id",
".ir",
".ig",
".ie",
".im",
".il",
".it",
".jm",
".jp",
".jo",
".kz",
".ke",
".ki",
".kp",
".kr",
".kw",
".kg",
".la",
".lv",
".lb",
".ls",
".lr",
".ly",
".li",
".lt",
".lu",
".mo",
".mk",
".mg",
".mw",
".my",
".mv",
".ml",
".mt",
".mh",
".mg",
".mr",
".mu",
".yt",
".mx",
".fm",
".md",
".mc",
".mn",
".ms",
".ma",
".mz",
".mm",
".na",
".nr",
".np",
".nl",
".an",
".nc",
".nz",
".ni",
".ne",
".ng",
".nu",
".nf",
".mp",
".no",
".om",
".pk",
".pw",
".pa",
".pg",
".py",
".pe",
".ph",
".pn",
".pl",
".pt",
".pr",
".qa",
".re",
".ro",
".ru",
".rw",
".kn",
".lc",
".vc",
".ws",
".sm",
".st",
".sa",
".sn",
".sc",
".sl",
".sg",
".sk",
".si",
".sb",
".so",
".za",
".gs",
".es",
".lk",
".sh",
".pm",
".sd",
".sr",
".sj",
".sz",
".se",
".sy",
".tw",
".tj",
".tz",
".th",
".bs",
".ky",
".tg",
".tk",
".to",
".tt",
".tn",
".tr",
".tm",
".tc",
".tv",
".ug",
".ua",
".ae",
".uk",
".us",
".um",
".uy",
".uz",
".vu",
".va",
".ve",
".vn",
".vg",
".vi",
".wf",
".eh",
".ye",
".yu",
".zm",
".zw",
".de",
".ch",
".com",
".net",
".org"
);

//Hostliste-Daten ffentliche
$hostliste = array(
".1ainfo.ch",
".1meg154.tricom.net",
".1noon.net",
".7host.com",
".abnxx9.customer.tele.dk",
".ac.jp",
".ac.th",
".ac.uk",
".academycanada.com",
".actcom.co.il",
".ad.jp",
".adelphia.net",
".adsl.allcomm.co.uk",
".adsl-dhcp.tele.dk",
".adsl.gxn.net",
".aichi.jp",
".aparizona.com",
".apgrid.org",
".alami.net",
".alexisnihon.com",
".anon-online.org",
".arena-it.co.uk",
".athen.goethe.org",
".attbi.com",
".banksandholeyfield.com",
".bbtec.net",
".bcero.cl",
".bconnected.net",
".bezeqint.net",
".bhelper.com",
".bigpipeinc.com",
".biomar-fishfeed.cl",
".biz.rr.com",
".blueyonder.co.uk",
".botterofgi.com",
".bora.net",
".bravocorp.com",
".brilux.pl",
".bss-ltd.com",
".btcentralplus.com",
".btopenworld.com",
".ca.sprintbbd.net",
".cable-operators.com",
".candw.lc",
".carats.net",
".cc.jyu.fi",
".ccc.de",
".ccipanama.com",
".centurytel.net",
".cgocable.ca",
".charter.com",
".chello.se",
".chcgil.ameritech.net",
".chiou.idv.tw",
".chlsystems.com",
".chollian.net",
".cpe.charter-ne.com",
".ctinets.com",
".cjb.net",
".clarktoyota.com",
".cndata.com",
".co.cr",
".co.jp",
".co.nz",
".co.th",
".co.za",
".com.ar",
".com.au",
".com.br",
".com.cn",
".com.co",
".com.cy",
".com.ec",
".com.gt",
".com.hk",
".com.mx",
".com.pe",
".com.sa",
".com.tw",
".com.ua",
".com.uy",
".comcast.net",
".comweb.pl",
".concept.net.nz",
".contextplus.net",
".cosmixcorp.com",
".covad.net",
".cox.net",
".cs.cmu.edu",
".cssg.g12.br",
".cust.gw.epoch.net",
".customer.tiba.com",
".cybercity.dk",
".da.qwest.net",
".datingfloor.de",
".dc.luth.se",
".dedicatedplace.com",
".demo.ndhub.net",
".doga.fr",
".dreizehnthesen.de",
".dyxnet.com",
".easynet.co.uk",
".edge.net",
".edgemobile.net",
".edu.au",
".edu.gd",
".edu.my",
".edu.pl",
".edu.tw",
".elca.org",
".emirates.net.ae",
".epix.net",
".etap.pl",
".failanas.lt",
".fantech.ca",
".fe.uni-lj.si",
".finnetcom.net",
".fhm.fhg.de",
".free.fr",
".fsi.net",
".fth.sch.gr",
".fukui.jp",
".fullspeed.to",
".futuro.pl",
".gaianetworks.com",
".gek.szie.hu",
".gen.cadvision.com",
".gennet.ee",
".globallink.de",
".gob.gt",
".gtconnect.net",
".gua.net",
".guest.de",
".hananet.net",
".helanta.sh",
".hertza.ro",
".hgo.se",
".hinet.net",
".homei.net.ua",
".homelan.bg",
".icafal.cl",
".icaramba.biz",
".ifl.net",
".imv.au.dk",
".indigo.ie",
".inetnebr.com",
".infoblvd.net",
".infonet.ee",
".intereuropa.hr",
".internet.ve",
".internode.on.net",
".interpacket.net",
".ip.fastwebnet.it",
".ip.pt",
".ip.secureserver.net",
".ips.sarenet.es",
".irk.ru",
".iswest.com",
".isys.no",
".jazztel.es",
".k12.ca.us",
".k12.il.us",
".ka.centurytel.net",
".kcom.com",
".K-designers.com",
".khi.is",
".kiaauto.sk",
".kivbf.de",
".knoware.nl",
".krline.net",
".kwglobal.com",
".lab.novell.com",
".Level3.net",
".listrak.com",
".littleb.com",
".lnk.telstra.net",
".lon.pnap.net",
".lrplot.com",
".makeevka.com",
".man.polbox.pl",
".man1.as8553.net",
".mchsi.com",
".media.dsi.unimi.it",
".megapath.net",
".mes.sch.gr",
".mesh.ad.jp",
".midx.com",
".mn.us",
".move.to",
".multi-media.ca",
".mwebafrica.com",
".mypiece.com",
".named1.com",
".ne.jp",
".net.ar",
".net.au",
".net.br",
".net.cn",
".net.co",
".net.in",
".net.mx",
".net.my",
".net.pe",
".net.pk",
".net.pl",
".net.rol.ru",
".net.sa",
".net.tr",
".net.tw",
".net.uy",
".net.ve",
".netsonic.net",
".netvigator.com",
".newbirth.org",
".newnet.co.uk",
".nexg.net",
".nombres.ttd.es",
".nordnet.fr",
".nordcliniques.net",
".nyud.net",
".oldcity.dca.net",
".oleane.fr",
".onatel.bf",
".onlinehome-server.com",
".optonline.net",
".or.id",
".or.jp",
".org.ar",
".org.gt",
".org.tw",
".org.ve",
".orange.uk.com",
".ott.istop.com",
".pacbell.net",
".pagina.de",
".pandemonium.fr",
".parkingspa.com",
".parksidecoc.net",
".peoriaud.k12.az.us",
".peto.hu",
".pilosoft.com",
".pipenetworks.com",
".pool21759.interbusiness.it",
".pooles.rima-tde.net",
".proxad.net",
".ptr.primarydns.com",
".puratos.com",
".r-it.at",
".rasana.net",
".res.in",
".residatahub.com",
".ro-ni.net",
".rosehosting.com",
".rpa.ca",
".rr.com",
"rst.void.ru",
".rzone.de",
".sbcglobal.net",
".scc.net",
".sci-tennis.net",
".securecomputing.com",
"securehostinghawaii.com",
".sentechsa.net",
".sify.net",
".sigma.com.pl",
".sintmaarten.net",
".smartservercontrol.com",
".smoothstone.net",
".sonomahosting.com",
".sophialabs.com",
".splinder.com",
".sprayway.com",
".stargate.net",
".starnet.md",
".starwoodbroadband.com",
".static.iqara.net",
".static.theplanet.com",
".snu.ac.kr",
".sulinet.hu",
".sunrem.com",
".superbikeclub.com",
".swbell.net",
".techtelnet.net",
".teimes.gr",
".tele2.co.uk",
".TELE.NET",
".telecable.es",
".teledis.be",
".telepacific.net",
".thebiz.net",
".thehideout.net",
".theweb.co.uk",
".the-cloak.com",
".thinkextreme.net",
".tmcgroup.com",
".tmmorrismfg.com",
".tpnet.pl",
".tts.nov.ru",
".twtelecom.net",
".ucv.cl",
".uni-ak.ac.at",
".unicap.br",
".unicity.pl",
".unisys.com",
".unknown.uunet.be",
".unused.epix.net",
".us.xo.net",
".uwm.edu",
".visionsinc.com",
".wackenhut.gr",
".wan.stargate.net",
".waw.pl",
".welnowiec.net",
".wi.charter.com",
".xmission.com",
".xs4all.nl",
".xtec.net",
".zicom.pl",
"acode-u.org",
"andy.chiou.idv.tw",
"anonymizer.blutmagie.de",
"bostream.se",
"BRAUMAILBOSS",
"cobalt3.cotel.de",
"craneschool.org",
"darkwing.cadvision.com",
"defenderhosting.com",
"dell.compleat.com",
"deutsche-stadtauskunft.obone.de",
"easyonlinesolutions.com",
"ehrlichisbush.com",
"federal-immobilier.com",
"foobar.site",
"freewebs.com",
"ftws04.de",
"full.lag.in",
"guardster.com",
"griffin-mc.com",
"hoteles-charleston.com",
"hv44.steephost.com",
"knowledge.esaars.dk",
"la.pl",
"linus.signalz.com",
"lvsweb.lasvegasstock.com",
"mail.hwe.cl",
"mas-hamilton.com",
"microbio.bas.bg",
"murph.cais.net",
"nameservices.net",
"nfdh.org",
"nodomaintransfer",
"normandintransit.com",
"nozonenet.com",
"ns.21-zentsu.com",
"ns.tew-j.com",
"one.globax.biz",
"phpfake.com",
"phpfake.php",
"planetlab1.",
"planetslug3.",
"powerflexhosting.com",
"proxy.airspan.com",
"proxy.elekta.lt",
"proxy.gsf.de",
"proxy.sca.cnrs.fr",
"proxy1.drugeleven.com",
"proxy77.net",
"ptil-9-11-primus-direct.net",
"purple-haze.merhomes.com",
"raauk.com",
"rocketcolo.net",
"sealperu.com",
"securityspace.com",
"server3.telekom.hr",
"speed.virtualserverhost.com",
"spyder3.microsys.com",
"surtab.info",
"teachers.bsge.org",
"unet.ca",
"uszproxy.unizh.ch",
"waldec.com",
"wbbhackz.com",
"webwarper.net",
"windows.deshikotha.com",
"worldvibrations.com",
"www2000.ogsm.vanderbilt.edu",
"www.freeloader.com",
"zumsuk.by.ru",
"zuse.acm.org"
);

$wormprotector = array(
"P://",
"΂://",
"_://",
"_AMGconfig",
"_cookie",
"_env",
"_files",
"_get",
"_global",
"_post",
"_php",
"_session",
"_server",
"_variable",
"--",
"![cdata[cript:alert",
"?dir[inc]=",
"?hl",
"?import namespace",
"?php",
"?wwh",
"./.",
".bash_history",
".conf",
".eml",
".exe",
".history",
".htaccess",
".htpasswd",
".inc",
".js",
".php.jpg",
".pl",
".system",
".txt",
".wci",
".wcp",
"'",
"(a.source)",
"@im",
"@@version",
"[S QL]",
"[SQL]",
"/.j",
"/admin.asp&deleteuser",
"/bin/",
"/chgrp",
"/chown",
"/etc/groups",
"/etc/gshadow",
"/etc/passwd",
"/etc/password",
"/etc/shadow",
"/groups",
"/gshadow",
"/home/ftp",
"/home/www",
"/**/LIMIT/**/1/*",
"/modules",
"/**/AND/**",
"/**/UNION/**",
"/**/OR/**/",
"/**/password/**/",
"/n?",
"/perl",
"/robot.txt",
"/scriptlet.",
"/servlet/con",
"/some_inexistent_file_with_long_name",
"/union",
"/usr/bin",
"/usr/x11r6",
"&{alert(",
"%00",
"%20chmod",
"%20chr",
"%20cmd",
"%20cp",
"%20echr",
"%20getenv",
"%20hack",
"%20like",
"%20mcd",
"%20mdir",
"%20mrd",
"%20nigga",
"%20passwd",
"%20rm",
"%20rush",
"%20union",
"%20users",
"%20wget",
"%22%3E%3Cscript",
"%2527",
"%27",
"%28%27script",
"%3B/script",
"%3C%3C%3EAAA",
"%3Ch1%3",
"%3Climit",
"%3Climitexcept",
"%3C/scr",
"%3C/script",
"%3Cscr",
"%3Cscript",
"-1/**/",
"-1/*+",
"-1'/*",
"-1+/*",
"-1*/*",
"-2/**/",
"-2/*+",
"-2'/*",
"-2+/*",
"-2*/*",
"-3/**/",
"-3/*+",
"-3'/*",
"-3+/*",
"-3*/*",
"-99%20",
"-999%20",
"-99999999",
"+from+admins%20where%20adminid",
"-2/**/",
"-2/*+",
"-2'/*",
"-2+/*",
"-2*/*",
"-3/**/",
"-3/*+",
"-3'/*",
"-3+/*",
"-3*/*",
"=favpics",
"=true",
"~ftp",
"~nobody",
"~root",
'$_get',
'$_request',
'$get',
'$request',
"0,0,0,username,password,0,0,0,0,0,email,0,0,0,0,0,0,0",
"0/*",
"0/**/from/**/bb1_users/**/where/**/userid=",
"0ipt",
"0script",
"1/*",
"2/*",
"2%22%3Cscript",
"23 OR 1=1",
"3/*",
"4/*",
"5/*",
"6/*",
"666999",
"6666.com.ru",
"7/*",
"8/*",
"9/*",
"9999999)",
"aaaaaaaaaaaaaaa",
"access.log",
"access_log",
"alert",
"amygirl.siteburg.com",
"amyru.h18.ru",
"applet",
"apt-get",
"argv",
"babInstallPath=",
"BASE=Shell",
"basefont",
"bash_history",
"behavior: url(xss.htc);",
"BENCHMARK(",
"bgsound",
"bin/nasm",
"bin/python",
"bin/tclsh",
"boardid=http:",
"boardids%5B0%5D",
"boarddir=http:",
"bob@example.com' AND passwd = 'hello123",
"c99.txt",
"c99haxor.txt",
"c99shell",
"C100.txt?",
"cat=31337+union",
"cat=5474902010+union",
"cgi-",
"chatnick=",
"char(",
"char_convert",
"chgrp(",
"chgrp%20",
"chinese.php?suntzu",
"chmod(",
"chmod%20",
"chmod=",
"chown(",
"chown%20",
"chr(",
"chr%20",
"chr=",
"chunked",
"cmd.exe",
"cmd.gif",
"cmd.php",
"cmd.txt",
"cmd%20",
"cmd=",
"cmd]",
"codebase",
"concat(",
"config.inc.php",
"config.php",
"cook=",
"cp(",
"cp%20",
"cs.txt?",
"cse.jpg?",
"daysprune=http:",
"db_mysql.inc",
"defacenuke.txt",
"delete%20",
"did.txt?",
"diff%20",
"document.allesloeschen",
"document.cookie",
"document.domain",
"document.location.href",
"drop%20",
"dynsrc",
"echo(",
"echr(",
"echr%20",
"echr=",
"elinks",
"email@",
"embed",
"emerge",
"error.log",
"error_log",
"esystem(",
"esystem%20",
"eval(a+b+c+d);",
"expression",
"EXSS!",
"file://",
"filnavn=ftp:",
"fireball.",
"foobar.org",
"fopen",
"force_mysql_error",
"frameset",
"ftp.exe",
"fwrite",
"g\\+\\+",
"g\+\+",
"gcc",
"generate_mysql_num_row",
"getenv",
"global_",
"global[",
"globals_",
"globals[",
"google.",
"g0t-root.biz",
"gotcha!",
"grant",
"grep(",
"grep%20",
"hackz.com",
"halt%20",
"hidecats=%5C",
"/home/ftp",
"/home/www",
"html&#039",
"http request",
"http_",
"http-equiv",
"http_host",
"http_php",
"http_user_agent",
"http/1.",
"IF((ASCII(SUBSTRING",
"ilegais.110mb.com",
"ilg.txt?",
"img src",
"img%20src",
"impactmats.com",
"index.php?error=",
"innerhtml",
"innerjoin",
"inner join",
"ini_get",
"insert%20",
"iso-",
"java",
"javascript:alert",
"kezzap66345",
"kill(",
"kill&userid",
"kill%20",
"killall",
"kk.txt",
"like%20",
"limitexcept",
"livescript:",
"LOAD_FILE(",
"locate(",
"locate%20",
"lowsrc",
"lsof%20",
"lycos.",
"lynx",
"mail=",
"mastergold.sitesled.com",
"mcd(",
"mcd%20",
"mcd=",
"mdir(",
"mdir%20",
"message=/textareascript",
"meta",
"milw0rm",
"mocha:",
"mod_gzip_status",
"mode=link&page='",
"mode=link&page=%00'",
"modules/",
"mosConfig_absolute_path",
"motd%20",
"mrd(",
"mrd%20",
"mrd=",
"mv(",
"mv%20",
"nachrichtenmann",
"nc.exe",
"ncftp",
"new_password",
"nigga(",
"nigga%20",
"ob_clean(",
"ob_start(",
"object",
"onabort",
"onactivate",
"onafterprint",
"onafterupdate",
"onbeforeactivate",
"onbeforecopy",
"onbeforecut",
"onbeforedeactivate",
"onbeforeeditfocus",
"onbeforepaste",
"onbeforeprint",
"onbeforeunload",
"onbeforeupdate",
"onblur",
"onbounce",
"oncellchange",
"onchange",
"onclick",
"oncontextmenu",
"oncontrolselect",
"oncopy",
"oncut",
"ondataavailable",
"ondatasetchanged",
"ondatasetcomplete",
"ondblclick",
"ondeactivate",
"ondrag",
"ondragend",
"ondragenter",
"ondragleave",
"ondragover",
"ondragstart",
"ondrop",
"onerror",
"onerrorupdate",
"onfilterchange",
"onfinish",
"onfocus",
"onfocusin",
"onfocusout",
"onhelp",
"onkeydown",
"onkeypress",
"onkeyup",
"onlayoutcomplete",
"onload",
"onlosecapture",
"onmousedown",
"onmouseenter", 
"onmouseleave",
"onmousemove",
"onmouseout",
"onmouseover",
"onmouseup",
"onmousewheel",
"onmove",
"onmoveend",
"onmovestart",
"onpaste",
"onpropertychange",
"onreadystatechange",
"onreset",
"onresize",
"onresizeend",
"onresizestart",
"onrowenter",
"onrowexit",
"onrowsdelete",
"onrowsinserted",
"onscroll",
"onselect",
"onselectionchange",
"onselectstart",
"onstart",
"onstop",
"onsubmit",
"onunload",
"open_basedir",
"OR full_name LIKE '%Bob%",
"org.apache",
"page=-1",
"page=http:",
"pang057.zz",
"pass@",
"passid.txt?",
"password(",
"password%20",
"password /*er35*/",
"passwd(",
"passwd%20",
"perl -e",
"perl%20",
"php_",
"php?dir[inc]=",
"phpadmin",
"phpbb_root_path=http://",
"phpfake",
"phpinfo()",
"ping%20",
"powerdown%20",
"prs.txt",
"python",
"r57.",
"r57shell",
"r6.txt",
"racrew.us",
"reboot%20",
"redirect 302",
"request",
"req=%3",
"rexec",
"rm(",
"rm%20",
"rmdir(",
"rmdir%20",
"root_path",
"rpm",
"rush%20",
"rush=",
"safe.txt?",
"safe_mode",
"says,",
"secure_site",
"securitylab.ru",
"select from",
"select[",
"select%20",
"select version",
"server_",
"server-info",
"server-status",
"server[",
"servercom1245.tripod.com",
"servlet",
"set-cookie",
"sexofv.com",
"Shel3l",
"shell.htm",
"shell.php",
"shell.txt",
"shell_exec",
"shellcode",
"sid=%3E%3Cscript%3",
"sid=b0hp?",
"sid=ftp",
"sid=http",
"sid=script",
"sid=%3Cscript",
"sid=<",
"sid=some_url",
"sizedrop.110mb.com",
"smbclient",
"sortfield=http:",
"sortorder=http:",
"span datasrc=",
"sql=",
"SQLINJECTION",
"src=&#x6A&#x61&#x76&#x61&#x73&#x63&#x72&#x69&#x70&#x",
"str_repeat(",
"string.fromcharcode",
"studiora.ru",
"suntzu",
"t:set attributeName=",
"t?ftp",
"telnet%20",
"tftp",
"thisdoesnotexistahaha.php",
"ThisFileMustNotExist",
"tool25.",
"total ",
"trace",
"truncate",
"uname",
"UNION",
"UNION/*s12s*/  SELECT/*t35s*/  password , password /*er35*/ FRoM",
"union(",
"union%20",
"union=",
"url=data:text/html;base64",
"url=http://;url=",
"usuarios.arnet.com.ar",
"var%20",
"vbscript",
"vi(",
"vi%20",
"wbbhackz.com",
"wget(",
"wget%20",
"WHeRE/*esr35*/",
"width: expression(alert(",
"window.open",
"wvs-xss-magic-string",
"wwwacl",
"x0x0x0x0x0x0x0x0x0",
"x5cx",
"xml id",
"xmlhttp",
"xp_availablemedia",
"xp_commandshell",
"xp_cmdshell",
"xp_enumdsn",
"xp_filelist",
"xpg.com.br/inbox?",
"xrumer",
"xss",
"xterm",
"yahoo.",
"yum",
"Zaloguj+mnie"
);
?>